libraries/base_dist-install_VERSION = 4.12.0.0
libraries/base_dist-install_COMPONENT_ID = base-4.12.0.0
libraries/base_dist-install_MODULES = Control.Applicative Control.Arrow Control.Category Control.Concurrent Control.Concurrent.Chan Control.Concurrent.MVar Control.Concurrent.QSem Control.Concurrent.QSemN Control.Exception Control.Exception.Base Control.Monad Control.Monad.Fail Control.Monad.Fix Control.Monad.Instances Control.Monad.IO.Class Control.Monad.ST Control.Monad.ST.Lazy Control.Monad.ST.Lazy.Safe Control.Monad.ST.Lazy.Unsafe Control.Monad.ST.Safe Control.Monad.ST.Strict Control.Monad.ST.Unsafe Control.Monad.Zip Data.Bifoldable Data.Bifunctor Data.Bitraversable Data.Bits Data.Bool Data.Char Data.Coerce Data.Complex Data.Data Data.Dynamic Data.Either Data.Eq Data.Fixed Data.Foldable Data.Function Data.Functor Data.Functor.Classes Data.Functor.Contravariant Data.Functor.Compose Data.Functor.Const Data.Functor.Identity Data.Functor.Product Data.Functor.Sum Data.IORef Data.Int Data.Ix Data.Kind Data.List Data.List.NonEmpty Data.Maybe Data.Monoid Data.Ord Data.Proxy Data.Ratio Data.Semigroup Data.STRef Data.STRef.Lazy Data.STRef.Strict Data.String Data.Traversable Data.Tuple Data.Type.Bool Data.Type.Coercion Data.Type.Equality Data.Typeable Data.Unique Data.Version Data.Void Data.Word Debug.Trace Foreign Foreign.C Foreign.C.Error Foreign.C.String Foreign.C.Types Foreign.Concurrent Foreign.ForeignPtr Foreign.ForeignPtr.Safe Foreign.ForeignPtr.Unsafe Foreign.Marshal Foreign.Marshal.Alloc Foreign.Marshal.Array Foreign.Marshal.Error Foreign.Marshal.Pool Foreign.Marshal.Safe Foreign.Marshal.Unsafe Foreign.Marshal.Utils Foreign.Ptr Foreign.Safe Foreign.StablePtr Foreign.Storable GHC.Arr GHC.Base GHC.ByteOrder GHC.Char GHC.Clock GHC.Conc GHC.Conc.IO GHC.Conc.Signal GHC.Conc.Sync GHC.ConsoleHandler GHC.Constants GHC.Desugar GHC.Enum GHC.Environment GHC.Err GHC.Exception GHC.Exception.Type GHC.ExecutionStack GHC.ExecutionStack.Internal GHC.Exts GHC.Fingerprint GHC.Fingerprint.Type GHC.Float GHC.Float.ConversionUtils GHC.Float.RealFracMethods GHC.Foreign GHC.ForeignPtr GHC.GHCi GHC.Generics GHC.IO GHC.IO.Buffer GHC.IO.BufferedIO GHC.IO.Device GHC.IO.Encoding GHC.IO.Encoding.CodePage GHC.IO.Encoding.Failure GHC.IO.Encoding.Iconv GHC.IO.Encoding.Latin1 GHC.IO.Encoding.Types GHC.IO.Encoding.UTF16 GHC.IO.Encoding.UTF32 GHC.IO.Encoding.UTF8 GHC.IO.Exception GHC.IO.FD GHC.IO.Handle GHC.IO.Handle.FD GHC.IO.Handle.Internals GHC.IO.Handle.Lock GHC.IO.Handle.Text GHC.IO.Handle.Types GHC.IO.IOMode GHC.IO.Unsafe GHC.IOArray GHC.IORef GHC.Int GHC.List GHC.Maybe GHC.MVar GHC.Natural GHC.Num GHC.OldList GHC.OverloadedLabels GHC.Pack GHC.Profiling GHC.Ptr GHC.Read GHC.Real GHC.Records GHC.ResponseFile GHC.RTS.Flags GHC.ST GHC.StaticPtr GHC.STRef GHC.Show GHC.Stable GHC.StableName GHC.Stack GHC.Stack.CCS GHC.Stack.Types GHC.Stats GHC.Storable GHC.TopHandler GHC.TypeLits GHC.TypeNats GHC.Unicode GHC.Weak GHC.Word Numeric Numeric.Natural Prelude System.CPUTime System.Console.GetOpt System.Environment System.Environment.Blank System.Exit System.IO System.IO.Error System.IO.Unsafe System.Info System.Mem System.Mem.StableName System.Mem.Weak System.Posix.Internals System.Posix.Types System.Timeout Text.ParserCombinators.ReadP Text.ParserCombinators.ReadPrec Text.Printf Text.Read Text.Read.Lex Text.Show Text.Show.Functions Type.Reflection Type.Reflection.Unsafe Unsafe.Coerce GHC.Event Control.Monad.ST.Imp Control.Monad.ST.Lazy.Imp Data.Functor.Utils Data.OldList Data.Semigroup.Internal Data.Typeable.Internal Foreign.ForeignPtr.Imp GHC.StaticPtr.Internal System.Environment.ExecutablePath System.CPUTime.Utils GHC.Event.Arr GHC.Event.Array GHC.Event.Control GHC.Event.EPoll GHC.Event.IntTable GHC.Event.Internal GHC.Event.KQueue GHC.Event.Manager GHC.Event.PSQ GHC.Event.Poll GHC.Event.Thread GHC.Event.TimerManager GHC.Event.Unique System.CPUTime.Posix.ClockGetTime System.CPUTime.Posix.Times System.CPUTime.Posix.RUsage System.CPUTime.Unsupported
libraries/base_dist-install_HIDDEN_MODULES = Control.Monad.ST.Imp Control.Monad.ST.Lazy.Imp Data.Functor.Utils Data.OldList Data.Semigroup.Internal Data.Typeable.Internal Foreign.ForeignPtr.Imp GHC.StaticPtr.Internal System.Environment.ExecutablePath System.CPUTime.Utils GHC.Event.Arr GHC.Event.Array GHC.Event.Control GHC.Event.EPoll GHC.Event.IntTable GHC.Event.Internal GHC.Event.KQueue GHC.Event.Manager GHC.Event.PSQ GHC.Event.Poll GHC.Event.Thread GHC.Event.TimerManager GHC.Event.Unique System.CPUTime.Posix.ClockGetTime System.CPUTime.Posix.Times System.CPUTime.Posix.RUsage System.CPUTime.Unsupported
libraries/base_dist-install_SYNOPSIS =Basic libraries
libraries/base_dist-install_HS_SRC_DIRS = .
libraries/base_dist-install_DEPS = ghc-prim-0.5.3 integer-gmp-1.0.2.0 rts-1.0
libraries/base_dist-install_DEP_IPIDS = ghc-prim-0.5.3 integer-gmp-1.0.2.0 rts
libraries/base_dist-install_DEP_NAMES = ghc-prim integer-gmp rts
libraries/base_dist-install_DEP_COMPONENT_IDS = ghc-prim-0.5.3 integer-gmp-1.0.2.0 rts
libraries/base_dist-install_TRANSITIVE_DEP_NAMES = integer-gmp ghc-prim rts
libraries/base_dist-install_TRANSITIVE_DEP_COMPONENT_IDS = integer-gmp-1.0.2.0 ghc-prim-0.5.3 rts
libraries/base_dist-install_INCLUDE_DIRS = include dist-install/build/include
libraries/base_dist-install_INCLUDES = HsBase.h
libraries/base_dist-install_INSTALL_INCLUDES = HsBaseConfig.h EventConfig.h HsBase.h WCsubst.h consUtils.h
libraries/base_dist-install_EXTRA_LIBRARIES = 
libraries/base_dist-install_EXTRA_LIBDIRS = 
libraries/base_dist-install_S_SRCS = 
libraries/base_dist-install_C_SRCS  = cbits/DarwinUtils.c cbits/PrelIOUtils.c cbits/SetEnv.c cbits/WCsubst.c cbits/Win32Utils.c cbits/consUtils.c cbits/iconv.c cbits/inputReady.c cbits/md5.c cbits/primFloat.c cbits/sysconf.c cbits/fs.c
libraries/base_dist-install_CMM_SRCS = cbits/CastFloatWord.cmm
libraries/base_dist-install_DATA_FILES = 
libraries/base_dist-install_HC_OPTS = -this-unit-id base -Wcompat -Wnoncanonical-monad-instances -XHaskell2010
libraries/base_dist-install_CC_OPTS = 
libraries/base_dist-install_CPP_OPTS = -DOPTIMISE_INTEGER_GCD_LCM
libraries/base_dist-install_LD_OPTS = 
libraries/base_dist-install_DEP_INCLUDE_DIRS_SINGLE_QUOTED = '/home/jerry/.opt/ghc-8.6.3/lib/gmp-6.1.1/include' '/home/jerry/.opt/ghc-8.6.3/lib/gmp-6.1.1/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/include' '/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/dist-install/build/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/rts/dist/build' '/home/jerry/.work/ghc-8.6.3/includes' '/home/jerry/.work/ghc-8.6.3/includes/dist-derivedconstants/header'
libraries/base_dist-install_DEP_CC_OPTS = 
libraries/base_dist-install_DEP_LIB_DIRS_SEARCHPATH = /home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/dist-install/build:/home/jerry/.opt/ghc-8.6.3/lib/gmp-6.1.1/lib:/home/jerry/.work/ghc-8.6.3/libraries/ghc-prim/dist-install/build:/home/jerry/.work/ghc-8.6.3/rts/dist/build
libraries/base_dist-install_DEP_LIB_REL_DIRS = libraries/integer-gmp/dist-install/build libraries/ghc-prim/dist-install/build rts/dist/build
libraries/base_dist-install_DEP_LIB_REL_DIRS_SEARCHPATH = libraries/integer-gmp/dist-install/build:libraries/ghc-prim/dist-install/build:rts/dist/build
libraries/base_dist-install_DEP_LD_OPTS = 
libraries/base_dist-install_BUILD_GHCI_LIB = YES

$(eval $(libraries/base_PACKAGE_MAGIC))
